# remote_backups

## Introduction

A simple shell script to retrieve selected remote server directories
in order to integrate the remote files into the local homelab
backup solution.

Rsync is used so that only changed files are retrieved on subsequent
runs of the backup script.

The script is intended to be run from the crontab for a user that has root ssh
key access on the remote hosts.

## Configuration

* bu-hosts

This directory contains a file for each remote host to be backed up. The filename
is the host's FQDN.

The file for each host contains the SSH specification for reaching that host.

* bu-lists

This directory contains a file for each remote host to be backed up. The filename
is the host's FQDN, with "_bu-list" appended.

The file for each host contain a list of directories on the remote host to be backed
up, one directory per line.

## Dir List

```
remote_backups
├── backups
├── bu-hosts
├── bu-lists
└── logs
```
